ccf_clk_dump = {
  "si570_hsdp_clk": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 156249999,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "si570_lpddr4_clk1": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 199999999,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "si570_lpddr4_clk2": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 199999998,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "si570_user1": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 99999999,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "si570_zsfp_clk": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 156249998,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "cpll": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "misc_clk_0": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 99999001,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "ref_clk": {
    "enable_count": 2,
    "prepare_count": 2,
    "protect_count": 2,
    "rate": 33333333,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000,
    "rpu_postclk": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "rpu_presrc": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000,
      "rpu_pll": {
        "enable_count": 0,
        "prepare_count": 0,
        "protect_count": 0,
        "rate": 3299999967,
        "min_rate": 1500000000,
        "max_rate": 3000000000,
        "accuracy": 0,
        "phase": 0,
        "duty_cycle": 50000,
        "rpu_pll_out": {
          "enable_count": 0,
          "prepare_count": 0,
          "protect_count": 0,
          "rate": 1649999984,
          "min_rate": 0,
          "max_rate": 18446744073709552000,
          "accuracy": 0,
          "phase": 0,
          "duty_cycle": 50000,
          "rpll": {
            "enable_count": 0,
            "prepare_count": 0,
            "protect_count": 0,
            "rate": 1649999984,
            "min_rate": 0,
            "max_rate": 18446744073709552000,
            "accuracy": 0,
            "phase": 0,
            "duty_cycle": 50000,
            "rpll_to_xpd": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 824999992,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "fpd_top_switch_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 824999992,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "fpd_top_switch": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 824999992,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            }
          }
        }
      }
    },
    "apu_postclk": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "apu_presrc": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000,
      "apu_pll": {
        "enable_count": 0,
        "prepare_count": 0,
        "protect_count": 0,
        "rate": 2799999972,
        "min_rate": 1500000000,
        "max_rate": 3000000000,
        "accuracy": 0,
        "phase": 0,
        "duty_cycle": 50000,
        "apu_pll_out": {
          "enable_count": 0,
          "prepare_count": 0,
          "protect_count": 0,
          "rate": 1399999986,
          "min_rate": 0,
          "max_rate": 18446744073709552000,
          "accuracy": 0,
          "phase": 0,
          "duty_cycle": 50000,
          "apll": {
            "enable_count": 0,
            "prepare_count": 0,
            "protect_count": 0,
            "rate": 1399999986,
            "min_rate": 0,
            "max_rate": 18446744073709552000,
            "accuracy": 0,
            "phase": 0,
            "duty_cycle": 50000,
            "acpu_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1399999986,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "acpu_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1399999986,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "acpu": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 1399999986,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "apll_to_xpd": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1399999986,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000
            }
          }
        }
      }
    },
    "noc_postclk": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "noc_presrc": {
      "enable_count": 1,
      "prepare_count": 1,
      "protect_count": 1,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000,
      "noc_pll": {
        "enable_count": 1,
        "prepare_count": 1,
        "protect_count": 1,
        "rate": 3999999960,
        "min_rate": 1500000000,
        "max_rate": 3000000000,
        "accuracy": 0,
        "phase": 0,
        "duty_cycle": 50000,
        "noc_pll_out": {
          "enable_count": 1,
          "prepare_count": 1,
          "protect_count": 1,
          "rate": 999999990,
          "min_rate": 0,
          "max_rate": 18446744073709552000,
          "accuracy": 0,
          "phase": 0,
          "duty_cycle": 50000,
          "npll": {
            "enable_count": 1,
            "prepare_count": 1,
            "protect_count": 1,
            "rate": 999999990,
            "min_rate": 0,
            "max_rate": 18446744073709552000,
            "accuracy": 0,
            "phase": 0,
            "duty_cycle": 50000,
            "npll_to_xpd": {
              "enable_count": 2,
              "prepare_count": 2,
              "protect_count": 1,
              "rate": 999999990,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "gem_tsu_ref_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 999999990,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "gem_tsu_ref_div1": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 249999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "gem_tsu_ref": {
                    "enable_count": 1,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 249999998,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "gem_tsu": {
                      "enable_count": 1,
                      "prepare_count": 1,
                      "protect_count": 0,
                      "rate": 249999998,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    },
                    "gem_tsu_lb": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 249999998,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    }
                  }
                }
              },
              "gem1_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 999999990,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "gem1_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 124999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "gem1_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 124999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "gem1_tx_mux": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 124999999,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000,
                      "gem1_tx": {
                        "enable_count": 0,
                        "prepare_count": 0,
                        "protect_count": 0,
                        "rate": 124999999,
                        "min_rate": 0,
                        "max_rate": 18446744073709552000,
                        "accuracy": 0,
                        "phase": 0,
                        "duty_cycle": 50000
                      }
                    }
                  }
                }
              },
              "gem0_ref_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 0,
                "rate": 999999990,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "gem0_ref_div1": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 0,
                  "rate": 124999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "gem0_ref": {
                    "enable_count": 2,
                    "prepare_count": 2,
                    "protect_count": 0,
                    "rate": 124999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "gem0_tx_mux": {
                      "enable_count": 1,
                      "prepare_count": 1,
                      "protect_count": 0,
                      "rate": 124999999,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000,
                      "gem0_tx": {
                        "enable_count": 1,
                        "prepare_count": 1,
                        "protect_count": 0,
                        "rate": 124999999,
                        "min_rate": 0,
                        "max_rate": 18446744073709552000,
                        "accuracy": 0,
                        "phase": 0,
                        "duty_cycle": 50000
                      }
                    }
                  }
                }
              },
              "iou_switch_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 999999990,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "iou_switch_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 249999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "iou_switch": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 249999998,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              }
            }
          }
        }
      }
    },
    "pmc_postclk": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "pmc_presrc": {
      "enable_count": 1,
      "prepare_count": 1,
      "protect_count": 1,
      "rate": 33333333,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000,
      "pmc_pll": {
        "enable_count": 1,
        "prepare_count": 1,
        "protect_count": 1,
        "rate": 2399999976,
        "min_rate": 1500000000,
        "max_rate": 3000000000,
        "accuracy": 0,
        "phase": 0,
        "duty_cycle": 50000,
        "pmc_pll_out": {
          "enable_count": 1,
          "prepare_count": 1,
          "protect_count": 1,
          "rate": 1199999988,
          "min_rate": 0,
          "max_rate": 18446744073709552000,
          "accuracy": 0,
          "phase": 0,
          "duty_cycle": 50000,
          "ppll": {
            "enable_count": 5,
            "prepare_count": 5,
            "protect_count": 5,
            "rate": 1199999988,
            "min_rate": 0,
            "max_rate": 18446744073709552000,
            "accuracy": 0,
            "phase": 0,
            "duty_cycle": 50000,
            "sd_dll_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "sd_dll_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "sd_dll_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 1199999988,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "hsm1_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "hsm1_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 133333332,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "hsm1_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 133333332,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "hsm0_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "hsm0_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 33333333,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "hsm0_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 33333333,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "npi_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "npi_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 299999997,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "npi_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 299999997,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "sysmon_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 299999997,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              }
            },
            "spare_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "spare_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 599999994,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "spare_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 599999994,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "cfu_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "cfu_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 399999996,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "cfu_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 399999996,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "pmc_pl3_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "pmc_pl3_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 239999998,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "pmc_pl3_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 239999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "pmc_pl2_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "pmc_pl2_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 239999998,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "pmc_pl2_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 239999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "pmc_pl1_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "pmc_pl1_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 239999998,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "pmc_pl1_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 239999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "pmc_pl0_ref_mux": {
              "enable_count": 1,
              "prepare_count": 1,
              "protect_count": 1,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "pmc_pl0_ref_div1": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 99999999,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "pmc_pl0_ref": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "dft_osc_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "dft_osc_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 37500000,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "dft_osc_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 37500000,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "test_pattern_re_mux": {
              "enable_count": 1,
              "prepare_count": 1,
              "protect_count": 1,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "test_pattern_re_div1": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 37500000,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "test_pattern_re": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 37500000,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "i2c_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "i2c_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 99999999,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "i2c_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "pmc_lsbus_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "pmc_lsbus_ref": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 149999999,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000
              }
            },
            "sdio1_ref_mux": {
              "enable_count": 1,
              "prepare_count": 1,
              "protect_count": 1,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "sdio1_ref_div1": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 199999998,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "sdio1_ref": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 199999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "clk_in_sd1": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 50000000,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  },
                  "clk_out_sd1": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 50000000,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              }
            },
            "sdio0_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "sdio0_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 199999998,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "sdio0_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 199999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "ospi_ref_mux": {
              "enable_count": 0,
              "prepare_count": 0,
              "protect_count": 0,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "ospi_ref_div1": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 299999997,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "ospi_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 299999997,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "qspi_ref_mux": {
              "enable_count": 1,
              "prepare_count": 1,
              "protect_count": 1,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "qspi_ref_div1": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 299999997,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "qspi_ref": {
                  "enable_count": 2,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 299999997,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            },
            "ppll_to_xpd": {
              "enable_count": 4,
              "prepare_count": 6,
              "protect_count": 5,
              "rate": 1199999988,
              "min_rate": 0,
              "max_rate": 18446744073709552000,
              "accuracy": 0,
              "phase": 0,
              "duty_cycle": 50000,
              "usb3_dual_ref_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "usb3_dual_ref_div1": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 20000000,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "usb3_dual_ref": {
                    "enable_count": 1,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 20000000,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "dbg_tstmp_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "dbg_tstmp_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 399999996,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "dbg_tstmp": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 399999996,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "timestamp_ref_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "timestamp_ref_div1": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "timestamp_ref": {
                    "enable_count": 1,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "dbg_lpd_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "dbg_lpd_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 399999996,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "dbg_lpd": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 399999996,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "i2c1_ref_mux": {
                "enable_count": 0,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "i2c1_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "i2c1_ref": {
                    "enable_count": 0,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "i2c0_ref_mux": {
                "enable_count": 0,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "i2c0_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "i2c0_ref": {
                    "enable_count": 0,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "can1_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "can1_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "can1_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "can1_clk": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 49999999,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    }
                  }
                }
              },
              "can0_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "can0_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "can0_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "can0_clk": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 49999999,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    }
                  }
                }
              },
              "spi1_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "spi1_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 199999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "spi1_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 199999998,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "spi0_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "spi0_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 199999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "spi0_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 199999998,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "uart1_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "uart1_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "uart1_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "uart0_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "uart0_ref_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 99999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "uart0_ref": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 99999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "usb0_bus_ref_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 1,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "usb0_bus_ref_div1": {
                  "enable_count": 1,
                  "prepare_count": 1,
                  "protect_count": 1,
                  "rate": 20000000,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "usb0_bus_ref": {
                    "enable_count": 1,
                    "prepare_count": 1,
                    "protect_count": 1,
                    "rate": 20000000,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "cpu_r5_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "cpu_r5_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 599999994,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "cpu_r5": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 599999994,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000,
                    "cpu_r5_ocm2": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 599999994,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    },
                    "cpu_r5_ocm": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 599999994,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    },
                    "cpu_r5_core": {
                      "enable_count": 0,
                      "prepare_count": 0,
                      "protect_count": 0,
                      "rate": 599999994,
                      "min_rate": 0,
                      "max_rate": 18446744073709552000,
                      "accuracy": 0,
                      "phase": 0,
                      "duty_cycle": 50000
                    }
                  }
                }
              },
              "lpd_lsbus_mux": {
                "enable_count": 1,
                "prepare_count": 1,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "lpd_lsbus": {
                  "enable_count": 4,
                  "prepare_count": 3,
                  "protect_count": 0,
                  "rate": 149999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "wdt": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 149999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  },
                  "ttc0": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 149999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  },
                  "ttc1": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 149999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  },
                  "ttc2": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 149999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  },
                  "ttc3": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 149999999,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "lpd_top_switch_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "lpd_top_switch": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 599999994,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "adma": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 599999994,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "dbg_fpd_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "dbg_fpd_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 399999996,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "dbg_fpd": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 399999996,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "dbg_trace_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "dbg_trace_div1": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 239999998,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000,
                  "dbg_trace": {
                    "enable_count": 0,
                    "prepare_count": 0,
                    "protect_count": 0,
                    "rate": 239999998,
                    "min_rate": 0,
                    "max_rate": 18446744073709552000,
                    "accuracy": 0,
                    "phase": 0,
                    "duty_cycle": 50000
                  }
                }
              },
              "fpd_lsbus_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "fpd_lsbus": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 149999999,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              },
              "psm_ref_mux": {
                "enable_count": 0,
                "prepare_count": 0,
                "protect_count": 0,
                "rate": 1199999988,
                "min_rate": 0,
                "max_rate": 18446744073709552000,
                "accuracy": 0,
                "phase": 0,
                "duty_cycle": 50000,
                "psm_ref": {
                  "enable_count": 0,
                  "prepare_count": 0,
                  "protect_count": 0,
                  "rate": 399999996,
                  "min_rate": 0,
                  "max_rate": 18446744073709552000,
                  "accuracy": 0,
                  "phase": 0,
                  "duty_cycle": 50000
                }
              }
            }
          }
        }
      }
    }
  },
  "pl_alt_ref_clk": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 33333333,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "gem1_rx_mux": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000,
    "gem1_rx": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 0,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    }
  },
  "gem0_rx_mux": {
    "enable_count": 1,
    "prepare_count": 1,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000,
    "gem0_rx": {
      "enable_count": 1,
      "prepare_count": 1,
      "protect_count": 0,
      "rate": 0,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    }
  },
  "muxed_iro_div4": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000,
    "efuse_ref": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 0,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "usb_suspend": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 0,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    },
    "switch_timeout": {
      "enable_count": 0,
      "prepare_count": 0,
      "protect_count": 0,
      "rate": 0,
      "min_rate": 0,
      "max_rate": 18446744073709552000,
      "accuracy": 0,
      "phase": 0,
      "duty_cycle": 50000
    }
  },
  "muxed_iro_div2": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  },
  "iro_suspend_ref": {
    "enable_count": 0,
    "prepare_count": 0,
    "protect_count": 0,
    "rate": 0,
    "min_rate": 0,
    "max_rate": 18446744073709552000,
    "accuracy": 0,
    "phase": 0,
    "duty_cycle": 50000
  }
}